Public Member Functions | List of all members
clan::NetGameEvent Class Reference
clanNetwork NetGame

NetGameEvent. More...

`#include <event.h>`

## Public Member Functions
| NetGameEvent (const std::string &name, std::vector< NetGameEventValue > arg={})
| Constructs a NetGameEvent. More...
void | add_argument (const NetGameEventValue &value)
NetGameEventValue | get_argument (unsigned int index) const
unsigned int | get_argument_count () const
std::string | get_name () const
std::string | to_string () const

## Detailed Description

NetGameEvent.

The documentation for this class was generated from the following file:

- Network/NetGame/event.h